%define upstream_name    Dancer-Plugin-Database
%define upstream_version 2.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Subclassed DBI connection handle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Dancer) >= 1.309.900
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Provides an easy way to obtain a connected DBI database handle by simply
calling the database keyword within your the Dancer manpage application

Returns a the Dancer::Plugin::Database::Handle manpage object, which is a
subclass of the DBI manpage's 'DBI::db' connection handle object, so it
does everything you'd expect to do with DBI, but also adds a few
convenience methods. See the documentation for the
Dancer::Plugin::Database::Handle manpage for full details of those.

Takes care of ensuring that the database handle is still connected and
valid. If the handle was last asked for more than
'connection_check_threshold' seconds ago, it will check that the connection
is still alive, using either the '$dbh->ping' method if the DBD driver
supports it, or performing a simple no-op query against the database if
not. If the connection has gone away, a new connection will be obtained and
returned. This avoids any problems for a long-running script where the
connection to the database might go away.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.40.0-2.mga4
+ Revision: 525188
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 2.40.0-1.mga4
+ Revision: 432454
- update to 2.04

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 365253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 333997
- imported package perl-Dancer-Plugin-Database


* Sat Dec 22 2012 cpan2dist 2.03-1mga
- initial mageia release, generated with cpan2dist
